corda / net.corda.core.contracts / Timestamp

# Timestamp

`data class Timestamp`

If present in a transaction, contains a time that was verified by the uniqueness service. The true time must be between (after, before).

### Constructors

<init> | `Timestamp(time: Instant, tolerance: Duration)``Timestamp(after: Instant?, before: Instant?)` If present in a transaction, contains a time that was verified by the uniqueness service. The true time must be between (after, before).

### Properties

after | `val after: Instant?`
before | `val before: Instant?`
midpoint | `val midpoint: Instant`